const { merge } = require('webpack-merge');
const config = require("./webpack.config.js");
const webpack = require("webpack");

module.exports = merge(config, {
  mode: 'development',
  devServer: {
    historyApiFallback: true,
    proxy:{
      '/api': {
        target: 'http://localhost:3000'
      }
    },
  },
  plugins: [
    new webpack.NoEmitOnErrorsPlugin(),
  ]
});
